%define rname	removeduplicates
%define cid	\{a300a000-5e21-4ee0-a115-9ec8f4eaa92b\}
%define ciddir	%tbird_noarch_extensionsdir/%cid

Name:		%tbird_name-%rname
Version:	0.3.5
Release:	alt0.M50P.1
Summary:	Remove Duplicate Messages extension for Thunderbird
Packager: Radik Usupov <radik@altlinux.org>

License:	GPL
Group:		Networking/Mail
URL:		https://addons.mozilla.org/thunderbird/956/

Source0:	%rname.xpi

BuildArch:	noarch

BuildRequires(pre):	rpm-build-thunderbird
BuildRequires:		unzip

Requires: %tbird_name >= 3.0

%description
If you have duplicate messages (e.g. from merging folders or 
downloading messages several times) you can use this tool to 
find and remove them from the selected folder and its subfolder.
It allows you to configure what you want to compare (sender, 
messageid, subject, ...).

%prep
%setup -c

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r * %buildroot/%ciddir

%postun
if [ "$1" = 0 ]; then
    [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Fri Feb 18 2011 Radik Usupov <radik@altlinux.org> 0.3.5-alt0.M50P.1
- Build from p5 platform

* Fri Feb 18 2011 Radik Usupov <radik@altlinux.org> 0.3.5-alt1
- New version (0.3.5)
- Spec cleaned

* Sun Mar 11 2007 Alexey Gladkov <legion@altlinux.ru> 0.1.2-alt3
- Rebuild with new thunderbird (2.0).

* Thu Nov 23 2006 Alexey Gladkov <legion@altlinux.ru> 0.1.2-alt2
- Rebuild with new thunderbird (1.5.0.8).

* Mon Aug 21 2006 Alexey Gladkov <legion@altlinux.ru> 0.1.2-alt1
- first build for ALT Linux.
